Subject: Application Deadline Extended
From: "http://gsia.sums.ac.ir/"

Shiraz University of Medical Sciences - SUMS 
Code : 18322-96      Publish Date : Wednesday, May 20, 2020 Visit :
2753 

NEWS | Application Deadline Extended 

Application Deadline Extended 
Application Deadline Extended 

Application Deadline Extended

 

Given the situation with COVID-19, SUMS 2020-2021 academic year will
commence with Spring semester; thus, the University does not offer the
Winter semester this year. SUMS also extended application deadline for
2020-2021 intake to Nov. 5, 2020 and is considering applicants for
undergraduate degree programs who applied after June 4 deadline.

 Please visit here <http://gsia.sums.ac.ir/en/page/18469/Apply-to-SUMS>
to apply for admission. Any probable changes to the academic calendar
will be announced via SUMS official website.